Home
Release Notes
Home
Release Notes
Linkedin
  1. Transactions
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
          POST
        • Update transaction
          POST
        • Cancel transaction
          POST
        • Get transaction status V2
          GET
        • Transactions List
          GET
        • Export Transactions List
          GET
        • Calculate receiving amount
          POST
        • Validate Account
          POST
      • Reconciliation
        • Reconciliation
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Transactions

Cancel transaction

POST
/remit-api/v1/transactions/cancel
This method handles transaction cancellation within the Balad Remit system.

Cancellable Transactions#

Only the following transaction statuses can be cancelled. Each status results in either an Instant Cancel (Code 7) or Under Cancellation (Code 22) depending on the case.
Transaction Status CodeTransaction StatusTransaction TypeResulting Status
0CreatedAll7 (Cancelled)
2In ProgressCash22 (Under Cancellation)
8PendingAll7 (Cancelled)
11Balad Compliance SuspendedAll7 (Cancelled)
12Balad Compliance ApprovedAll7 (Cancelled)
16Bank Compliance SuspendedCash22 (Under Cancellation)
19Ready For PickupCash22 (Under Cancellation)

Cancellation Reasons#

Use one of the following values in the reason field when submitting a cancellation request.
If none of the predefined reasons apply, set reason to 13 and include your explanation in other_reason.
CodeReason
1I entered the wrong recipient name
2I entered the wrong account, wallet, or phone number
3I chose the wrong bank, wallet, or payout method
4I entered the wrong amount
5I no longer need to send this transfer
6The recipient no longer needs the money
7This is a duplicate transfer
8The transfer is taking too long
9I will send the money using a different method
11Fees or exchange rate are not acceptable
12I created this transaction by mistake (test or trial)
13Other reason (please specify)

Request

Authorization
or
Header Params

Body Params application/json

Example
{
    "remitter_reference_no": "BALADLINK-XXXXXXXXXX",
    "reason": 1,
    "other_reason": ""
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/remit-api/v1/transactions/cancel' \
--header 'Content-Type: application/json' \
--data '{
    "remitter_reference_no": "BALADLINK-XXXXXXXXXX",
    "reason": 1,
    "other_reason": ""
}'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Examples
{
    "data": {
        "remitter_reference_no": "BALADLINK-XXXXXXXXXX",
        "transaction_status_code": 22,
        "transaction_status_description": "Under Cancellation"
    },
    "errors": null
}
đŸŸ 400Cancellation Not Available
đŸŸ 400Reference No Not found
đŸŸ 400Transaction already canceled
Previous
Update transaction
Next
Get transaction status V2
Built with